### Name: cyclica
### Title: Cyclic graph (a) example
### Aliases: cyclica.data cyclica.qtl cyclica
### Keywords: datagen

### ** Examples

## Not run: 
##D bp <- matrix(0, 6, 6)
##D bp[2,1] <- bp[4,2] <- bp[4,3] <- bp[5,4] <- bp[2,5] <- bp[6,5] <- 0.5
##D stdev <- rep(0.025, 6)
##D 
##D ## Use R/qtl routines to simulate.
##D set.seed(3456789)
##D mymap <- sim.map(len = rep(100,20), n.mar = 10, eq.spacing = FALSE,
##D   include.x = FALSE)
##D mycross <- sim.cross(map = mymap, n.ind = 200, type = "f2")
##D mycross <- sim.geno(mycross, n.draws = 1)
##D 
##D cyclica.qtl <- produce.qtl.sample(cross = mycross, n.phe = 6)
##D mygeno <- pull.geno(mycross)[, unlist(cyclica.qtl$markers)]
##D 
##D cyclica.data <- generate.data.graph.a(cross = mycross, burnin = 2000,
##D   bq = c(0.2,0.3,0.4), bp = bp, stdev = stdev, geno = mygeno)
##D save(cyclica.qtl, cyclica.data, file = "cyclica.RData", compress = TRUE)
## End(Not run)

data(cyclica)
out <- qdgAlgo(cross=cyclica.data, 
                phenotype.names=paste("y",1:6,sep=""),
                marker.names=cyclica.qtl$markers, 
                QTL=cyclica.qtl$allqtl, 
                alpha=0.005, 
                n.qdg.random.starts=10,
                skel.method="pcskel")

out2 <- qdgSEM(out, cross=cyclica.data)
out2
plot(out2)



